#include <iostream>
#include <vector>
#include <algorithm>
using namespace std;

#define std oiiaioooooiiiai

void cmd(string s) {
	cout << "Cmd: " << s << endl;
	system(s.c_str());
}

int main() {
	string gen, std;
	int tc;
	gen="gen";
	std="std";
	srand(0);
	for (int i = 1; i <= 100; i++) {
//		cmd("echo " + to_string(rand()) + " > seed.txt");
//		cmd(gen + ".exe < seed.txt > data" + to_string(i) + ".in");
		cmd(std + ".exe < data" + to_string(i) + ".in > data" + to_string(i) + ".out");
	}
	cout << "Completed!" << endl;
	system("pause");
}